Bug 10390 - Upgrade puts lilo in wrong place
Upgrade puts lilo in wrong place
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
: 10391 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-28 10:37 EST by Steve Wills
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 16:17:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Wills 2000-03-28 10:37:29 EST
I use IBMs Boot Manager (My copy is from Partition Magic, not OS/2) to boot
my system. I have Windows98 an hda1 and linux on sda2. I have lilo
configured to install to /dev/sda2 and boot manager calls that
(boot=/dev/sda2). When I upgraded, the installer changed this to
boot=/dev/hda without prompting and broke boot manager.
Comment 1 Jay Turner 2000-04-24 08:41:59 EDT
Will be fixed in the next release (hopefully!!!)
Comment 2 Jay Turner 2000-04-24 08:42:59 EDT
*** Bug 10391 has been marked as a duplicate of this bug. ***
Comment 3 Erik Troan 2000-05-31 16:53:58 EDT
Fixed for next release :-)
Comment 4 Brock Organ 2000-08-04 16:13:08 EDT
this error is not resolved using the latest pinstripe internal build ...

here is the generated lilo.conf from the upgrade:  (notice the boot=/dev/md0)

boot=/dev/md0                                                                   
map=/boot/map                                                                   
install=/boot/boot.b                                                            
prompt                                                                          
timeout=50                                                                      
message=/boot/message                                                           
linear                                                                          
default=linux                                                                    

image=/boot/vmlinuz-2.2.16-18                                                    	
label=linux                                                              
	initrd=/boot/initrd-2.2.16-18.img                                        	
read-only                                                                	
root=/dev/md0                                                                                                                       

but the MBR of the block has been OVERWRITTEN (notice the LILO chars in the
dump, the MBR was zeroed out previously):

0000000   z   k   |   l   b   a   L   I   L   O 001  \0 025 004   Z  \0         
0000020  \0  \0  \0  \0  \0  \0  \0  \0 203   m   @ 023 001 204   m   @         
0000040 023 001 202   m   @ 023 001 001   D   Z 206   m   @ 023 001 207         
0000060   m   @ 023 001   #       @ 023 001   $       @ 023 001  
%                                            
Comment 5 Brock Organ 2000-08-04 16:17:41 EDT
Here is the attached output run installing and uninstalling lilo via the above
/etc/lilo.conf file (note the reference to /dev/hda instead of /dev/md0):

% lilo -v
LILO version 21.4-4, Copyright (C) 1992-1998 Werner Almesberger                 
'lba32' extensions Copyright (C) 1999,2000 John Coffman                         
boot = /dev/hda, map = /boot/map.0302                                           
Reading boot sector from /dev/hda                                               
Merging with /boot/boot.b                                                       
Mapping message file /boot/message                                              
Boot image: /boot/vmlinuz-2.2.16-18                                             
Mapping RAM disk /boot/initrd-2.2.16-18.img                                     
Added linux *                                                                   
/boot/boot.0300 exists - no backup copy made.                                   
Writing boot sector.                                                            
boot = /dev/hda, map = /boot/map.0305                                           
Reading boot sector from /dev/hda                                               
Merging with /boot/boot.b                                                       
Mapping message file /boot/message                                              
Boot image: /boot/vmlinuz-2.2.16-18                                             
Mapping RAM disk /boot/initrd-2.2.16-18.img                                     
Added linux *                                                                   
/boot/boot.0300 exists - no backup copy made.                                   
Writing boot
sector.                                                                                           

% lilo -v -u
LILO version 21.4-4, Copyright (C) 1992-1998 Werner Almesberger                 
'lba32' extensions Copyright (C) 1999,2000 John Coffman                          

boot = /dev/hda, map = /boot/map.0302                                           
Reading boot sector from
/dev/hda
Comment 6 Erik Troan 2000-11-21 13:37:43 EST
Red Hat 7 prompts for where the lilo record should be written, which should fix
this defect.

Note You need to log in before you can comment on or make changes to this bug.